Subject: Re: bug#54289: 29.0.50; Emacs ignores xmodmap Super_L assignment

From: Stephen Berman <[email-masked]>
Date: Tue, 08 Mar 2022 13:03:44 +0100

On Tue, 08 Mar 2022 19:51:55 +0800 Po Lu <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>> Thread 1 "emacs" hit Breakpoint 3, handle_one_xevent
>> (dpyinfo=dpyinfo@entry=0xd586e0, event=event@entry=0x7fffffffd410,
>> finish=finish@entry=0xaac980 <current_finish>,
>> hold_quit=0x7fffffffd660) at
>> /home/steve/src/emacs/emacs-master/src/xterm.c:12549
>> warning: Source file is more recent than executable.
>> 12549			  if (rec->map->modmap && rec->map->modmap[xev->detail])
>> $1 = 64 '@'
>> [Thread 0x7fffe8f9a640 (LWP 10839) exited]
>>
>> The GDB session is still running; do you want any further output?
>>
>> Steve Berman
>
> That indicates the super key is still Mod4.  Can you show the output of
> running `xmodmap' after evaluating the lines I sent earlier?

xmodmap:  up to 4 keys per modifier, (keycodes in parentheses):

shift       Shift_L (0x32),  Shift_R (0x3e)
lock
control     Control_L (0x25),  Control_L (0x42),  Control_R (0x69)
mod1        Alt_L (0x40),  Meta_L (0xcd)
mod2        Num_Lock (0x4d)
mod3
mod4        slash (0x85),  Super_R (0x86),  slash (0xce),  Hyper_L (0xcf)
mod5        ISO_Level3_Shift (0x5c),  Mode_switch (0xcb)

I ran `xmodmap .Xmodmap' with those lines added and then ran just
xmodmap, getting the above ouput.  This is identical to the output of
xmodmap I sent previously, without the added lines from you.  Do the
added lines need to be in a particular order with respect to the
existing lines?  Currently my .Xmodmap has these uncommented lines, in
the order listed:

remove Lock      = Caps_Lock
keysym Caps_Lock = Control_L
add    Control   = Control_L
remove mod4 = Super_R
remove mod4 = Hyper_L
remove mod4 = slash
keysym Super_L = slash
keysym Menu = backslash

Steve Berman